Package de.gebit.integrity.utils

## Class ParamAnnotationTypeTriplet

- java.lang.Object
- - de.gebit.integrity.utils.ParamAnnotationTypeTriplet

-     public class ParamAnnotationTypeTriplet
      extends Object

  Instances of this class are used as containers to link a parameter name (logical name used within Integrity scripts), the matching Java parameter name and a reference to the annotation attached to the parameter.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParamAnnotationTypeTriplet​(String aParamName, String aJavaParamName, org.eclipse.xtext.common.types.JvmAnnotationReference anAnnotation, org.eclipse.xtext.common.types.JvmTypeReference aType)` | Creates a new instance.
    `ParamAnnotationTypeTriplet​(String aParamName, org.eclipse.xtext.common.types.JvmAnnotationReference anAnnotation, org.eclipse.xtext.common.types.JvmTypeReference aType)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.common.types.JvmAnnotationReference` | `getAnnotation()` |
    `String` | `getJavaParamName()` |
    `String` | `getParamName()` |
    `org.eclipse.xtext.common.types.JvmTypeReference` | `getType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParamAnnotationTypeTriplet

          public ParamAnnotationTypeTriplet​(String aParamName,
                                            org.eclipse.xtext.common.types.JvmAnnotationReference anAnnotation,
                                            org.eclipse.xtext.common.types.JvmTypeReference aType)

      Creates a new instance.
      Parameters:
        `aParamName` -
        `anAnnotation` -

    - #### ParamAnnotationTypeTriplet

          public ParamAnnotationTypeTriplet​(String aParamName,
                                            String aJavaParamName,
                                            org.eclipse.xtext.common.types.JvmAnnotationReference anAnnotation,
                                            org.eclipse.xtext.common.types.JvmTypeReference aType)

      Creates a new instance.
      Parameters:
        `aParamName` -
        `aJavaParamName` -
        `anAnnotation` -

  - ### Method Detail

    - #### getParamName

          public String getParamName()

    - #### getJavaParamName

          public String getJavaParamName()

    - #### getAnnotation

          public org.eclipse.xtext.common.types.JvmAnnotationReference getAnnotation()

    - #### getType

          public org.eclipse.xtext.common.types.JvmTypeReference getType()